Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d
Class CMYKColorSpace

    java.lang.Object
      java.awt.color.ColorSpace
          org.apache.xmlgraphics.java2d.CMYKColorSpace

All Implemented Interfaces:
  Serializable

Deprecated. This class has been moved to the "color" subpackage.

    public class CMYKColorSpace

extends ColorSpace

This class represents an uncalibrated CMYK color space.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`protected` | `CMYKColorSpace(int type, int numcomponents)` Deprecated.

Method Summary
`float[]` | `fromCIEXYZ(float[] colorvalue)` Deprecated.
`float[]` | `fromRGB(float[] rgbvalue)` Deprecated.
`static CMYKColorSpace` | `getInstance()` Deprecated. Returns an instance of an uncalibrated CMYK color space.
`float[]` | `toCIEXYZ(float[] colorvalue)` Deprecated.
`float[]` | `toRGB(float[] colorvalue)` Deprecated.

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getMaxValue, getMinValue, getName, getNumComponents, getType, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMYKColorSpace

    protected CMYKColorSpace(int type,
                             int numcomponents)

  Deprecated.
  See Also:
    `ColorSpace.ColorSpace(int, int)`

Method Detail

### getInstance

    public static CMYKColorSpace getInstance()

  Deprecated.
  Returns an instance of an uncalibrated CMYK color space.

  Returns:
    CMYKColorSpace the requested color space object

### toRGB

    public float[] toRGB(float[] colorvalue)

  Deprecated.

  Specified by:
    `toRGB` in class `ColorSpace`

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  Deprecated.

  Specified by:
    `fromRGB` in class `ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  Deprecated.

  Specified by:
    `toCIEXYZ` in class `ColorSpace`

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  Deprecated.

  Specified by:
    `fromCIEXYZ` in class `ColorSpace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.